/*
 * BSHActionProxy.java - Actions written in BeanShell
 * Copyright (C) 1999 Slava Pestov
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import bsh.*;

import java.awt.Component;
import java.awt.event.ActionEvent;
import org.gjt.sp.jedit.EditAction;

public class BSHActionProxy extends EditAction
{
	public BSHActionProxy(NameSpace namespace, String name)
	{
		super(name);
		this.namespace = namespace;
	}

	public void actionPerformed(ActionEvent evt)
	{
		Object[] args = { evt };
		BeanShellPlugin.getBeanShell().method(namespace,"actionPerformed",args);
	}

	public boolean isToggle()
	{
		Object obj = BeanShellPlugin.getBeanShell().method(namespace,
			"isToggle");

		if(obj == null)
			return false;
		else
			return ((Boolean)obj).booleanValue();
	}

	public boolean isSelected(Component comp)
	{
		Object[] args = { comp };
		Object obj = BeanShellPlugin.getBeanShell().method(namespace,
			"isSelected",args);

		if(obj == null)
			return false;
		else
			return ((Boolean)obj).booleanValue();
	}

	// private members
	private NameSpace namespace;
}
