/*
 * BeanShellPlugin.java - Bean Shell plugin
 * Copyright (C) 1999, 2000 Slava Pestov
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

import javax.swing.JMenu;
import javax.swing.JMenuItem;
import java.util.Vector;
import org.gjt.sp.jedit.*;
import org.gjt.sp.jedit.msg.*;

public class BeanShellPlugin extends EBPlugin
{
	public static final String NAME = "BeanShell";

	public void start()
	{
		shell = new BeanShell();
		shell.init();
		EditBus.addToNamedList(Shell.SHELLS_LIST,NAME);

		//errorSource = new DefaultErrorSource(NAME);
		//EditBus.addToBus(errorSource);
		//EditBus.addToNamedList(ErrorSource.ERROR_SOURCES_LIST,errorSource);
	}

	public void handleMessage(EBMessage message)
	{
		if(message instanceof CreateShell)
		{
			CreateShell cmsg = (CreateShell)message;
			if(NAME.equals(cmsg.getShellName()))
				cmsg.setShell(shell);
		}
	}

	public static BeanShell getBeanShell()
	{
		return shell;
	}

	// package-private members
	/*static void addError(String file, int lineIndex, String error)
	{
		errorSource.addError(ErrorSource.ERROR,file,lineIndex,0,0,error);
	}

	static void clearErrors()
	{
		errorSource.clear();
	}*/

	// private members
	// private static DefaultErrorSource errorSource;
	private static BeanShell shell;
}
